# @teamteanpm2024/libero-quae-voluptatem <sup>[![Version Badge][npm-version-svg]][package-url]</sup>

[![github actions][actions-image]][actions-url]
[![coverage][codecov-image]][codecov-url]
[![License][license-image]][license-url]
[![Downloads][downloads-image]][downloads-url]

[![npm badge][npm-badge-png]][package-url]

Get the byte length of an ArrayBuffer, even in engines without a `.byteLength` method.

## Example

```js
const assert = require('assert');
const byteLength = require('@teamteanpm2024/libero-quae-voluptatem');

assert.equal(byteLength([]), NaN, 'an array is not an ArrayBuffer, yields NaN');

assert.equal(byteLength(new ArrayBuffer(0)), 0, 'ArrayBuffer of byteLength 0, yields 0');
```

## Tests
Simply clone the repo, `npm install`, and run `npm test`

[package-url]: https://npmjs.org/package/@teamteanpm2024/libero-quae-voluptatem
[npm-version-svg]: https://versionbadg.es/inspect-js/@teamteanpm2024/libero-quae-voluptatem.svg
[deps-svg]: https://david-dm.org/inspect-js/@teamteanpm2024/libero-quae-voluptatem.svg
[deps-url]: https://david-dm.org/inspect-js/@teamteanpm2024/libero-quae-voluptatem
[dev-deps-svg]: https://david-dm.org/inspect-js/@teamteanpm2024/libero-quae-voluptatem/dev-status.svg
[dev-deps-url]: https://david-dm.org/inspect-js/@teamteanpm2024/libero-quae-voluptatem#info=devDependencies
[npm-badge-png]: https://nodei.co/npm/@teamteanpm2024/libero-quae-voluptatem.png?downloads=true&stars=true
[license-image]: https://img.shields.io/npm/l/@teamteanpm2024/libero-quae-voluptatem.svg
[license-url]: LICENSE
[downloads-image]: https://img.shields.io/npm/dm/@teamteanpm2024/libero-quae-voluptatem.svg
[downloads-url]: https://npm-stat.com/charts.html?package=@teamteanpm2024/libero-quae-voluptatem
[codecov-image]: https://codecov.io/gh/inspect-js/@teamteanpm2024/libero-quae-voluptatem/branch/main/graphs/badge.svg
[codecov-url]: https://app.codecov.io/gh/inspect-js/@teamteanpm2024/libero-quae-voluptatem/
[actions-image]: https://img.shields.io/endpoint?url=https://github-actions-badge-u3jn4tfpocch.runkit.sh/inspect-js/@teamteanpm2024/libero-quae-voluptatem
[actions-url]: https://github.com/teamteanpm2024/libero-quae-voluptatem/actions
